# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /io/aggregate/caffe-gpu-feedstock/recipe, last modified Tue Sep 25 19:29:14 2018
# ------------------------------------------------

package:
    name: caffe-gpu
    version: '1.0'
source:
    fn: caffe_1.0.tar.gz
    sha1: 00a04c30a6dd6d2cdc91be72b3131a997c5d5202
    url: https://github.com/BVLC/caffe/archive/1.0.tar.gz
build:
    detect_binary_files_with_prefix: false
    number: '4'
    requires_features:
        blas: mkl
    string: py27hdb72b7a_4
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 5.4.0 had2808c_24
        - gcc_impl_linux-64 5.4.0 habb00fd_3
        - gcc_linux-64 5.4.0 h98af8de_24
        - gxx_impl_linux-64 5.4.0 hdf63c60_3
        - gxx_linux-64 5.4.0 h98af8de_24
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - backports 1.0 py27_1
        - backports.functools_lru_cache 1.5 py27_1
        - backports.shutil_get_terminal_size 1.0.0 py27_2
        - backports_abc 0.5 py27h7b3c97b_0
        - blas 1.0 mkl
        - boost 1.67.0 py27_4
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h8948797_3
        - certifi 2018.8.24 py27_1
        - cloudpickle 0.5.5 py27_0
        - cmake 3.12.2 h52cb24c_0
        - cudatoolkit 8.0 3
        - cudnn 7.1.3 cuda8.0_0
        - cycler 0.10.0 py27hc7354d3_0
        - cython 0.28.5 py27hf484d3e_0
        - dask-core 0.19.1 py27_0
        - dbus 1.13.2 h714fa37_1
        - decorator 4.3.0 py27_0
        - enum34 1.1.6 py27_1
        - expat 2.2.6 he6710b0_0
        - ffmpeg 4.0 hcdf2ecd_0
        - fontconfig 2.13.0 h9420a91_0
        - freeglut 3.0.0 hf484d3e_5
        - freetype 2.9.1 h8a8886c_1
        - functools32 3.2.3.2 py27_1
        - futures 3.2.0 py27_0
        - gflags 2.2.1 hf484d3e_0
        - glib 2.56.2 hd408876_0
        - glog 0.3.5 hf484d3e_1
        - graphite2 1.3.12 h23475e2_2
        - gst-plugins-base 1.14.0 hbbd80ab_1
        - gstreamer 1.14.0 hb453b48_1
        - h5py 2.8.0 py27h61e79e4_3
        - harfbuzz 1.8.8 hffaf4a1_0
        - hdf5 1.8.20 hba1933b_1
        - icu 58.2 h9c2bf20_1
        - imageio 2.4.1 py27_0
        - intel-openmp 2019.0 118
        - ipython 5.8.0 py27_0
        - ipython_genutils 0.2.0 py27h89fb69b_0
        - jasper 2.0.14 h07fcdf6_1
        - jpeg 9b h024ee3a_2
        - kiwisolver 1.0.1 py27hf484d3e_0
        - leveldb 1.20 hf484d3e_1
        - libboost 1.67.0 h46d08c1_4
        - libcurl 7.61.0 h1ad7b7a_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libglu 9.0.0 hf484d3e_1
        - libopencv 3.4.2 h765d7f9_1
        - libopus 1.2.1 hb9ed12e_0
        - libpng 1.6.34 hb9fc6fc_0
        - libprotobuf-static 3.6.0 hd408876_0
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - libtiff 4.0.9 he85c1e1_2
        - libuuid 1.0.3 h1bed415_2
        - libvpx 1.7.0 h439df22_0
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - linecache2 1.0.0 py27_0
        - lmdb 0.9.22 hf484d3e_1
        - matplotlib 2.2.3 py27hb69df0a_0
        - mkl 2018.0.3 1
        - mkl-devel 2018.0.3 1
        - mkl-include 2018.0.3 1
        - mkl_fft 1.0.4 py27h4414c95_1
        - mkl_random 1.0.1 py27h4414c95_1
        - ncurses 6.1 hf484d3e_0
        - networkx 2.1 py27_0
        - nose 1.3.7 py27_2
        - numpy 1.15.1 py27h1d66e8a_0
        - numpy-base 1.15.1 py27h81de0dd_0
        - olefile 0.46 py27_0
        - openssl 1.0.2p h14c3975_0
        - pandas 0.23.4 py27h04863e7_0
        - pathlib2 2.3.2 py27_0
        - pcre 8.42 h439df22_0
        - pexpect 4.6.0 py27_0
        - pickleshare 0.7.4 py27h09770e1_0
        - pillow 5.2.0 py27heded4f4_0
        - pip 10.0.1 py27_0
        - pixman 0.34.0 hceecf20_3
        - prompt_toolkit 1.0.15 py27h1b593e1_0
        - ptyprocess 0.6.0 py27_0
        - py-boost 1.67.0 py27h04863e7_4
        - py-opencv 3.4.2 py27h765d7f9_1
        - pygments 2.2.0 py27h4a8b6f5_0
        - pyparsing 2.2.0 py27_1
        - pyqt 5.9.2 py27h05f1152_2
        - python 2.7.15 h1571d57_0
        - python-dateutil 2.7.3 py27_0
        - python-gflags 3.1.2 py27_0
        - python-leveldb 0.20 py27hf484d3e_1
        - pytz 2018.5 py27_0
        - pywavelets 1.0.0 py27hdd07704_0
        - pyyaml 3.13 py27h14c3975_0
        - qt 5.9.6 h8703b6f_2
        - readline 7.0 h7b6447c_5
        - rhash 1.3.6 hb7f436b_0
        - scandir 1.9.0 py27h14c3975_0
        - scikit-image 0.14.0 py27hf484d3e_1
        - scipy 1.1.0 py27hfa4b5c9_1
        - setuptools 40.2.0 py27_0
        - simplegeneric 0.8.1 py27_2
        - singledispatch 3.4.0.3 py27h9bcb476_0
        - sip 4.19.8 py27hf484d3e_0
        - six 1.11.0 py27_1
        - snappy 1.1.7 hbae5bb6_3
        - sqlite 3.24.0 h84994c4_0
        - subprocess32 3.5.2 py27h14c3975_0
        - tk 8.6.8 hbc83047_0
        - toolz 0.9.0 py27_0
        - tornado 5.1 py27h14c3975_0
        - traceback2 1.4.0 py27_0
        - traitlets 4.3.2 py27hd6ce930_0
        - unittest2 1.1.0 py27_0
        - wcwidth 0.1.7 py27h9e3e1ab_0
        - wheel 0.31.1 py27_0
        - xz 5.2.4 h14c3975_4
        - yaml 0.1.7 had09818_2
        - zlib 1.2.11 ha838bed_2
    run:
        - blas 1.0 mkl
        - boost
        - cudatoolkit 8.0*
        - cudnn 7.1*
        - gflags >=2.2.1,<2.3.0a0
        - glog >=0.3.5,<0.3.6.0a0
        - h5py
        - hdf5 >=1.8.20,<1.9.0a0
        - ipython
        - leveldb >=1.20,<1.21.0a0
        - libboost >=1.67.0,<1.67.1.0a0
        - libgcc-ng >=5.4.0
        - libopencv >=3.4.2,<3.4.3.0a0
        - libstdcxx-ng >=5.4.0
        - lmdb >=0.9.22,<1.0a0
        - matplotlib
        - mkl >=2018.0.3
        - networkx
        - numpy >=1.15.1,<2.0a0
        - pandas
        - protobuf
        - py-boost
        - py-opencv >=3.4.2,<3.5.0a0
        - python >=2.7,<2.8.0a0
        - python-dateutil
        - python-gflags
        - python-leveldb
        - pyyaml
        - scikit-image
        - scipy
        - six
        - snappy >=1.1.7,<2.0a0
test:
    commands:
        - command -v "${PREFIX}/bin/caffe"
        - command -v "${PREFIX}/bin/classification"
        - command -v "${PREFIX}/bin/classify"
        - command -v "${PREFIX}/bin/compute_image_mean"
        - command -v "${PREFIX}/bin/convert_cifar_data"
        - command -v "${PREFIX}/bin/convert_imageset"
        - command -v "${PREFIX}/bin/convert_mnist_data"
        - command -v "${PREFIX}/bin/convert_mnist_siamese_data"
        - command -v "${PREFIX}/bin/detect"
        - command -v "${PREFIX}/bin/device_query"
        - command -v "${PREFIX}/bin/draw_net"
        - command -v "${PREFIX}/bin/extract_features"
        - command -v "${PREFIX}/bin/finetune_net"
        - command -v "${PREFIX}/bin/net_speed_benchmark"
        - command -v "${PREFIX}/bin/test_net"
        - command -v "${PREFIX}/bin/train_net"
        - command -v "${PREFIX}/bin/upgrade_net_proto_binary"
        - command -v "${PREFIX}/bin/upgrade_net_proto_text"
        - command -v "${PREFIX}/bin/upgrade_solver_proto_text"
        - test -d "${PREFIX}/include/caffe"
        - test -f "${PREFIX}/lib/libcaffe.so"
    imports:
        - caffe
about:
    description: 'Caffe is a deep learning framework brewed for expression, speed,modularity,
        openness and community.

        '
    doc_source_url: https://github.com/BVLC/caffe
    doc_url: http://caffe.berkeleyvision.org/tutorial/
    home: http://caffe.berkeleyvision.org/
    license: BSD 2-Clause
    license_family: BSD
    summary: A deep learning framework made with expression, speed, and modularity
        in mind.
extra:
    copy_test_source_files: true
    final: true
